% Anropa funktion [y_ut] : MalariaODE_fun (t,y)
% Inneh�ller differentialfunktioner

function y_ut = MalariaODE_fun(~,y,param)
Lambda_h = param(1);
Lambda_m = param(2);
b        = param(3); 
beta_h   = param(4);    
beta_m   = param(5);       
mu_h     = param(6);
mu_m     = param(7);
r        = param(8);
delta_h  = param(9);
delta_m  = param(10);
alfa_h   = param(11);      
alfa_m   = param(12);
nu_h     = param(13);        
nu_m     = param(14);
omega    = param(15);




S_h = y(1); 
S_m = y(2);
E_h = y(3);              
E_m = y(4);
I_h = y(5);
I_m = y(6);
R_h = y(7);


%Differential equations below:
%y_ut = [
%        Lambda_h-(b*beta_h*S_h*I_m)/(1+nu_h*I_m)-mu_h*S_h+omega*R_h;
%        (b*beta_h*S_h*I_m)/(1+nu_h*I_m)-(alfa_h+mu_h)*E_h ;
%         alfa_h*E_h-(r+mu_h+delta_h)*I_h ;
%         r*I_h-(mu_h+omega)*R_h ;
%         Lambda_m-((b*beta_m*S_m*I_h)/(1+nu_m*I_h))-mu_m*S_m;
%         (b*beta_m*S_m*I_h)/(1+nu_m*I_h)-(alfa_m+mu_m)*E_m ;
%          alfa_m*E_m-(mu_m+delta_m)*I_m];
y_ut = [
    Lambda_h-(b*beta_h*S_h*I_m)/(1+nu_h*I_m)-mu_h*S_h+omega*R_h;
    Lambda_m-((b*beta_m*S_m*I_h)/(1+nu_m*I_h))-mu_m*S_m;
    (b*beta_h*S_h*I_m)/(1+nu_h*I_m)-(alfa_h+mu_h)*E_h ;
    (b*beta_m*S_m*I_h)/(1+nu_m*I_h)-(alfa_m+mu_m)*E_m ;
    alfa_h*E_h-(r+mu_h+delta_h)*I_h ;
    alfa_m*E_m-(mu_m+delta_m)*I_m;
    r*I_h-(mu_h+omega)*R_h ;
    ];
 
        
    
end