function nr = Malaria_stoch()
%
% Stoichiometry matrix, nr, for the extended Malaria model:
% We define 15 reactions, corresponding to the rows in nr.
%
% The variables [S_h; S_m; E_h; E_m; I_h; I_m; R_h]  correspond to the columns in nr
% The first row in nr coresponds to the first equation, 2nd row corresponds to the 2nd equation etc.
% 

nr = [ 1  0  0  0  0  0  0; % 1 
      -1  0  0  0  0  0  0; % 1
      -1  0  1  0  0  0  0; % 1
       0  1  0  0  0  0  0; % 2
       0 -1  0  0  0  0  0; % 2      
       0 -1  0  1  0  0  0; % 2
       0  0 -1  0  0  0  0; % 3       
       0  0 -1  0  1  0  0; % 3
       0  0  0 -1  0  0  0; % 4      
       0  0  0 -1  0  1  0; % 3
       0  0  0  0 -1  0  0; % 5       
       0  0  0  0 -1  0  1; % 5
       0  0  0  0  0 -1  0; % 6
       1  0  0  0  0  0 -1; % 7
       0  0  0  0  0  0 -1];% 7

end

    
